using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace SlnMesnac.Model.domain
{
    [SugarTable("wms_base_warehouse"), TenantAttribute("wcs")]
    [DataContract(Name = "仓库信息表")]
    public class WmsBaseWarehouse
    {
        [SugarColumn(ColumnName = "warehouse_id", IsPrimaryKey = true, IsIdentity = true, ColumnDescription = "仓库ID")]
        public int WarehouseId { get; set; }

        [SugarColumn(ColumnName = "warehouse_type", ColumnDescription = "存放类型(1四宫格料箱, 2小料箱，3色粉)")]
        public int WarehouseType { get; set; }

        [SugarColumn(ColumnName = "workshop_id", ColumnDescription = "所属车间编号(2-2#,3-3#)")]
        public int WorkshopId { get; set; }

        [SugarColumn(ColumnName = "warehouse_code", ColumnDescription = "仓库编码")]
        public string WarehouseCode { get; set; }

        [SugarColumn(ColumnName = "warehouse_name", ColumnDescription = "仓库名称")]
        public string WarehouseName { get; set; }

        [SugarColumn(ColumnName = "active_flag", DefaultValue = "1", ColumnDescription = "激活标记 1是 0否")]
        public int ActiveFlag { get; set; }

        [SugarColumn(ColumnName = "create_by", ColumnDescription = "创建者")]
        public string CreateBy { get; set; }

        [SugarColumn(ColumnName = "create_time", ColumnDescription = "创建时间")]
        public DateTime CreateTime { get; set; }

        [SugarColumn(ColumnName = "update_by", ColumnDescription = "更新者")]
        public string UpdateBy { get; set; }

        [SugarColumn(ColumnName = "update_time", ColumnDescription = "更新时间")]
        public DateTime UpdateTime { get; set; }
    }
}